<template>
  <div class="container">
    <div class="component">
      <h1>This is a HTML embeddable Vue.js widget!</h1>
      <h3>{{ webpack }}</h3>
      <button
        class="btn"
        @click="webpack = 'Such Wow! Many Amazing!'"
      >
        Click me!
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ExampleVueWidget',
  data: () => ({
    // reactive data property of the component.
    webpack: 'Powered by webpack!',
  }),
};
</script>

<style scoped lanng="scss">
.component {
  margin-bottom: 2.5rem;
  background-color: #ccf7e2;
  padding: 3rem;
  border-radius: 5px;

  h3 {
    color: red;
  }
}
</style>
